Applinace build was bad
rebuilding
On Tue, Aug 23, 2016 at 3:43 PM, Pavel Zhukov <pzhukov(a)redhat.com> wrote:
Hi,
Hosted engine is failed to install and for some reasons OST is not failed because of
that.
http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/338/consoleFull
*08:15:52* |- /var/lib/cloud/instance/scripts/runcmd: line 2:
/usr/bin/engine-setup: No such file or directory
*08:15:52* |- HE_APPLIANCE_ENGINE_SETUP_FAIL*08:15:52* [ ERROR ] Engine setup
failed on the appliance*08:15:52* [ ERROR ] Failed to execute stage 'Closing up':
Engine setup failed on the appliance Please check its log on the appliance. *08:15:52* [
INFO ] Stage: Clean up*08:15:53* [ INFO ] Generating answer file
'/var/lib/ovirt-hosted-engine-setup/answers/answers-20160823041551.conf'*08:15:53*
[ INFO ] Stage: Pre-termination*08:15:53* [ INFO ] Stage: Termination*08:15:53* [ ERROR
] Hosted Engine deployment failed: this system is not reliable, please check the issue,
fix and redeploy
---------- Forwarded message ----------
From: <jenkins(a)jenkins.phx.ovirt.org>
Date: Tue, Aug 23, 2016 at 2:30 PM
Subject: Build failed in Jenkins: ovirt_3.6_he-system-tests #339
To: sbonazzo(a)redhat.com, infra(a)ovirt.org, lveyde(a)redhat.com
See <
http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/339/changes>
Changes:
[Yaniv Kaul] Combine Engine and Storage VMs.
------------------------------------------
[...truncated 1228 lines...]
## rc = 1
##########################################################
##! ERROR vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
##! Last 20 log enties: logs/mocker-fedora-23-x86_64.f
c23.he_basic_suite_3.6.sh/he_basic_suite_3.6.sh.log
##!
+ true
+ env_cleanup
+ echo '#########################'
#########################
+ local res=0
+ local uuid
+ echo '======== Cleaning up'
======== Cleaning up
+ [[ -e <
http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/o
virt-system-tests/deployment-he_basic_suite_3.6> ]]
+ echo '----------- Cleaning with lago'
----------- Cleaning with lago
+ lago --workdir <
http://jenkins.ovirt.org/job/
ovirt_3.6_he-system-tests/ws/ovirt-system-tests/deployment-h
e_basic_suite_3.6> destroy --yes --all-prefixes
+ echo '----------- Cleaning with lago done'
----------- Cleaning with lago done
+ [[ 0 != \0 ]]
+ echo '======== Cleanup done'
======== Cleanup done
+ exit 0
Took 2133 seconds
===================================
##!
##! ERROR ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
##!########################################################
##########################################################
Build step 'Execute shell' marked build as failure
Performing Post build task...
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo 'shell_scripts/system_tests.collect_logs.sh'
#
# Required jjb vars:
# version
#
VERSION=3.6
SUITE_TYPE=
WORKSPACE="$PWD"
OVIRT_SUITE="$SUITE_TYPE_suite_$VERSION"
TESTS_LOGS="$WORKSPACE/ovirt-system-tests/exported-artifacts"
rm -rf "$WORKSPACE/exported-artifacts"
mkdir -p "$WORKSPACE/exported-artifacts"
if [[ -d "$TESTS_LOGS" ]]; then
mv "$TESTS_LOGS/"* "$WORKSPACE/exported-artifacts/"
fi
[ovirt_3.6_he-system-tests] $ /bin/bash -xe /tmp/hudson8442885515320324019
.sh
+ echo shell_scripts/system_tests.collect_logs.sh
shell_scripts/system_tests.collect_logs.sh
+ VERSION=3.6
+ SUITE_TYPE=
+
WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/>
+ OVIRT_SUITE=3.6
+
TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system
-tests/ws/ovirt-system-tests/exported-artifacts>
+ rm -rf <
http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/339/
artifact/exported-artifacts>
+ mkdir -p <
http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/339/
artifact/exported-artifacts>
+ [[ -d <
http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/o
virt-system-tests/exported-artifacts> ]]
+ mv <
http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/o
virt-system-tests/exported-artifacts/lago_logs> <
http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/o
virt-system-tests/exported-artifacts/test_logs> <
http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/339/
artifact/exported-artifacts/>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 0
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo "shell-scripts/mock_cleanup.sh"
shopt -s nullglob
WORKSPACE="$PWD"
# Make clear this is the cleanup, helps reading the jenkins logs
cat <<EOC
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
EOC
# Archive the logs, we want them anyway
logs=(
./*log
./*/logs
)
if [[ "$logs" ]]; then
tar cvzf exported-artifacts/logs.tgz "${logs[@]}"
rm -rf "${logs[@]}"
fi
# stop any processes running inside the chroot
failed=false
mock_confs=("$WORKSPACE"/*/mocker*)
# Clean current jobs mockroot if any
for mock_conf_file in "${mock_confs[@]}"; do
[[ "$mock_conf_file" ]] || continue
echo "Cleaning up mock $mock_conf"
mock_root="${mock_conf_file##*/}"
mock_root="${mock_root%.*}"
my_mock="/usr/bin/mock"
my_mock+=" --configdir=${mock_conf_file%/*}"
my_mock+=" --root=${mock_root}"
my_mock+=" --resultdir=$WORKSPACE"
#TODO: investigate why mock --clean fails to umount certain dirs
sometimes,
#so we can use it instead of manually doing all this.
echo "Killing all mock orphan processes, if any."
$my_mock \
--orphanskill \
|| {
echo "ERROR: Failed to kill orphans on $chroot."
failed=true
}
mock_root="$(\
grep \
-Po "(?<=config_opts\['root'\] = ')[^']*" \
"$mock_conf_file" \
)" || :
[[ "$mock_root" ]] || continue
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $chroot. Trying to
umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
}
done
done
# Clean any leftover chroot from other jobs
for mock_root in /var/lib/mock/*; do
this_chroot_failed=false
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $mock_root." \
"Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
this_chroot_failed=true
}
done
if ! $this_chroot_failed; then
sudo rm -rf "$mock_root"
fi
done
if $failed; then
echo "Aborting."
exit 1
fi
# remove mock system cache, we will setup proxies to do the caching and
this
# takes lots of space between runs
shopt -u nullglob
sudo rm -Rf /var/cache/mock/*
# restore the permissions in the working dir, as sometimes it leaves files
# owned by root and then the 'cleanup workspace' from jenkins job fails to
# clean and breaks the jobs
sudo chown -R "$USER" "$WORKSPACE"
[ovirt_3.6_he-system-tests] $ /bin/bash -xe /tmp/hudson2384388653446686967
.sh
+ echo shell-scripts/mock_cleanup.sh
shell-scripts/mock_cleanup.sh
+ shopt -s nullglob
+
WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/>
+ cat
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
+ logs=(./*log ./*/logs)
+ [[ -n ./ovirt-system-tests/logs ]]
+ tar cvzf exported-artifacts/logs.tgz ./ovirt-system-tests/logs
./ovirt-system-tests/logs/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.insta
ll_packages/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.insta
ll_packages/root.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.insta
ll_packages/state.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.insta
ll_packages/build.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.he_ba
sic_suite_3.6.sh/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.he_
basic_suite_3.6.sh/he_basic_suite_3.6.sh.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/
<
http://mocker-fedora-23-x86_64.fc23.he_basic_suite_3.6.sh/./ovirt-system-...
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/
stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/root.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/state.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/build.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.clean_rpmdb/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.clean
_rpmdb/stdout_stderr.log
+ rm -rf ./ovirt-system-tests/logs
+ failed=false
+ mock_confs=("$WORKSPACE"/*/mocker*)
+ for mock_conf_file in '"${mock_confs[@]}"'
+ [[ -n <
http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/o
virt-system-tests/mocker-fedora-23-x86_64.fc23.cfg> ]]
+ echo 'Cleaning up mock '
Cleaning up mock
+ mock_root=mocker-fedora-23-x86_64.fc23.cfg
+ mock_root=mocker-fedora-23-x86_64.fc23
+ my_mock=/usr/bin/mock
+ my_mock+=' --configdir=<http://jenkins.ovirt.org/job/ovirt_3.6_he-syste
m-tests/ws/ovirt-system-tests'>
+ my_mock+=' --root=mocker-fedora-23-x86_64.fc23'
+ my_mock+=' --resultdir=<http://jenkins.ovirt.org/job/ovirt_3.6_he-syste
m-tests/ws/'>
+ echo 'Killing all mock orphan processes, if any.'
Killing all mock orphan processes, if any.
+ /usr/bin/mock --configdir=<http://jenkins.ov
irt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-tests>
--root=mocker-fedora-23-x86_64.fc23 --resultdir=<http://jenkins.ov
irt.org/job/ovirt_3.6_he-system-tests/ws/> --orphanskill
WARNING: Could not find required logging config file: <
http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/o
virt-system-tests/logging.ini.> Using default...
INFO: mock.py version 1.2.17 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Finish: run
++ grep -Po '(?<=config_opts\['\''root'\''\] =
'\'')[^'\'']*' <
http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/o
virt-system-tests/mocker-fedora-23-x86_64.fc23.cfg>
+ mock_root=fedora-23-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ [[ -n fedora-23-x86_64-235bec7d0621e95d1cae73d7cf9dc27c ]]
+ mounts=($(mount | awk '{print $3}' | grep "$mock_root"))
++ mount
++ awk '{print $3}'
++ grep fedora-23-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ :
+ [[ -n '' ]]
+ false
+ shopt -u nullglob
+ sudo rm -Rf /var/cache/mock/fedora-23-x86_64-235bec7d0621e95d1cae73d7cf9
dc27c
+ sudo chown -R jenkins <
http://jenkins.ovirt.org/job/
ovirt_3.6_he-system-tests/ws/>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 1
Recording test results
ERROR: Step ‘Publish JUnit test result report’ failed: No test report
files were found. Configuration error?
Archiving artifacts
_______________________________________________
Infra mailing list
Infra(a)ovirt.org
http://lists.ovirt.org/mailman/listinfo/infra
--
Pavel Zhukov
Software Engineer
RHEV Devops
IRC: landgraf
_______________________________________________
Devel mailing list
Devel(a)ovirt.org
http://lists.ovirt.org/mailman/listinfo/devel
--
Best regards
Tolik Litovsky
RHEV-H Team
Red Hat
Red Hat: trustworthy, transformative technology. Powered by the community.
Connect at